Bug 492197 - Review Request: toot2 - Java models and frameworks for Audio/MIDI
Review Request: toot2 - Java models and frameworks for Audio/MIDI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On: 496525
Blocks: 492201 492203
  Show dependency treegraph
 
Reported: 2009-03-25 16:33 EDT by Orcan Ogetbil
Modified: 2009-06-15 22:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3-0.4.beta2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-07 21:20:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-25 16:33:41 EDT
Spec URL: http://oget.fedorapeople.org/review/toot2.spec
SRPM URL: http://oget.fedorapeople.org/review/toot2-3-0.1.beta1.fc10.src.rpm
Description: 
Toot Software provides open source Java models and frameworks for Audio, MIDI
and Music Theory problem domains. These domains are modelled with minimal
coupling, namely audio mixer automation is saved as MIDI files and MIDI
synthesizers generate audio.


rpmlint:
toot2.src:114: W: libdir-macro-in-noarch-package %{_libdir}/gcj/%{name}
is a false positive. The package is not noarch by default.
Comment 1 Orcan Ogetbil 2009-04-15 23:01:30 EDT
Spec URL: http://oget.fedorapeople.org/review/toot2.spec
SRPM URL: http://oget.fedorapeople.org/review/toot2-3-0.2.beta1.fc10.src.rpm

Changelog: 3-0.2.beta1
- Disable building of AOT bits, since this package requires java > 1.5
Comment 2 Alexander Kurtakov 2009-04-18 12:18:42 EDT
Oget, 
The sources contains a local copy of tritonus-share which I think should be a separate rpm as it's originally from entirely different source.
Let me know your opinion.

Alex
Comment 3 Orcan Ogetbil 2009-04-19 18:20:03 EDT
OK, I packaged tritonus and we'll use it instead of the built-in one.

Spec URL: http://oget.fedorapeople.org/review/toot2.spec
SRPM URL: http://oget.fedorapeople.org/review/toot2-3-0.3.beta1.fc10.src.rpm

Changelog: 3-0.3.beta1
- Use the system tritonus instead of the shipped one
Comment 4 Orcan Ogetbil 2009-04-27 00:41:13 EDT
Upstream split the vst bits into a separate package, so no need to patch them out anymore:

Spec URL: http://oget.fedorapeople.org/review/toot2.spec
SRPM URL: http://oget.fedorapeople.org/review/toot2-3-0.4.beta2.fc10.src.rpm

Changelog: 3-0.3.beta2
- Update to 3beta2
Comment 5 Alexander Kurtakov 2009-06-04 04:58:42 EDT
Official review:
OK: rpmlint gives no warning or error
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Shell script for fetching is included.
OK: Builds fine.
OK: BuildRequires are good.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Javadoc is in separate package.
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 


This package is APPROVED.
Comment 6 Orcan Ogetbil 2009-06-04 22:42:28 EDT
Thanks a lot for the review!

New Package CVS Request
=======================
Package Name: toot2
Short Description: Java models and frameworks for Audio/MIDI
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 7 Jason Tibbitts 2009-06-05 17:42:06 EDT
CVS done.
Comment 8 Fedora Update System 2009-06-05 23:25:37 EDT
toot2-3-0.4.beta2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/toot2-3-0.4.beta2.fc11
Comment 9 Fedora Update System 2009-06-05 23:26:28 EDT
toot2-3-0.4.beta2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/toot2-3-0.4.beta2.fc10
Comment 10 Fedora Update System 2009-06-06 00:11:13 EDT
toot2-3-0.4.beta2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/toot2-3-0.4.beta2.fc9
Comment 11 Orcan Ogetbil 2009-06-07 21:20:29 EDT
Package built in rawhide, also in F-11, F-10 and F-9. Thanks everyone.
Comment 12 Fedora Update System 2009-06-15 21:27:43 EDT
toot2-3-0.4.beta2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-06-15 22:02:31 EDT
toot2-3-0.4.beta2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-06-15 22:04:12 EDT
toot2-3-0.4.beta2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.